slitaz-tools rev 1029

Remove ashism ==
author Pascal Bellard <pascal.bellard@slitaz.org>
date Tue Feb 26 08:26:53 2019 +0100 (2019-02-26)
parents ccef7ffdece9
children 7cbf5f11d543
files boxes/burn-box boxes/scp-box oldstuff/gtkdialog/bootfloppybox oldstuff/gtkdialog/gui_functions oldstuff/gtkdialog/libmountbox oldstuff/gtkdialog/netbox oldstuff/gtkdialog/sshbox oldstuff/gtkdialog/subox sdt/sdt tazbox/tazbox tinyutils/hwsetup tinyutils/slitaz-config tinyutils/tazhw tinyutils/tazlocale tinyutils/tazx
line diff
     1.1 --- a/boxes/burn-box	Wed May 09 12:08:12 2018 +0200
     1.2 +++ b/boxes/burn-box	Tue Feb 26 08:26:53 2019 +0100
     1.3 @@ -170,7 +170,7 @@
     1.4  		wodim --help 2>&1 | gtkout --title="$(_n 'Wodim Help')" ;;
     1.5  	iso|-i)
     1.6  		# Let burn an ISO from cmdline: burn-box -i /path/to/image.iso
     1.7 -		[ "$iso" == " " ] && iso="$2"
     1.8 +		[ "$iso" = " " ] && iso="$2"
     1.9  		if [ ! -f "$iso" ]; then
    1.10  			_ 'Missing ISO image "%s"' "$iso"; exit 1
    1.11  		fi
    1.12 @@ -178,7 +178,7 @@
    1.13  	audio|-a)
    1.14  		# Let create an audio CD from cmdline: burn-box -a /path/to/audio
    1.15  		[ "$2" ] && audio="$2"
    1.16 -		[ "$audio" == "$HOME" ] && unset audio
    1.17 +		[ "$audio" = "$HOME" ] && unset audio
    1.18  		if [ ! -d "$audio" ]; then
    1.19  			_ 'Missing audio directory "%s"' "$audio"; exit 1
    1.20  		fi
     2.1 --- a/boxes/scp-box	Wed May 09 12:08:12 2018 +0200
     2.2 +++ b/boxes/scp-box	Tue Feb 26 08:26:53 2019 +0100
     2.3 @@ -109,7 +109,7 @@
     2.4  	else
     2.5  		host=$(echo $main | cut -d "|" -f 3)
     2.6  	fi
     2.7 -	if [ "$host" == "(null)" ] || [ ! "$host" ]; then
     2.8 +	if [ "$host" = "(null)" ] || [ ! "$host" ]; then
     2.9  		echo "No host, exit"; exit 0
    2.10  	fi
    2.11  
     3.1 --- a/oldstuff/gtkdialog/bootfloppybox	Wed May 09 12:08:12 2018 +0200
     3.2 +++ b/oldstuff/gtkdialog/bootfloppybox	Tue Feb 26 08:26:53 2019 +0100
     3.3 @@ -1026,7 +1026,7 @@
     3.4  
     3.5  while true; do
     3.6  
     3.7 -if [ "$1" == "call" ]; then
     3.8 +if [ "$1" = "call" ]; then
     3.9  	case "$2" in
    3.10  	mkmenu) mkmenu $3;;
    3.11  	mkisofloppiesxterm)
     4.1 --- a/oldstuff/gtkdialog/gui_functions	Wed May 09 12:08:12 2018 +0200
     4.2 +++ b/oldstuff/gtkdialog/gui_functions	Tue Feb 26 08:26:53 2019 +0100
     4.3 @@ -16,7 +16,7 @@
     4.4  	  /*)  [ -e $exe ] || continue;;
     4.5  	  *)   which $exe > /dev/null || continue
     4.6  	  esac
     4.7 -	  if [ "$2" == "header" ]; then
     4.8 +	  if [ "$2" = "header" ]; then
     4.9  	    echo -n "$tmp$name"
    4.10  	    tmp='|'
    4.11  	  else
     5.1 --- a/oldstuff/gtkdialog/libmountbox	Wed May 09 12:08:12 2018 +0200
     5.2 +++ b/oldstuff/gtkdialog/libmountbox	Tue Feb 26 08:26:53 2019 +0100
     5.3 @@ -142,7 +142,7 @@
     5.4  	mounted-fs-infos)
     5.5  		# Mounted fs info and actions, rootfs or other fs.
     5.6  		#
     5.7 -		if [ "$MOUNTED" == "/dev/root" ]; then
     5.8 +		if [ "$MOUNTED" = "/dev/root" ]; then
     5.9  			export MOUNTED_DEVICE="
    5.10  <window title=\"Device: rootfs\" icon-name=\"media-flash\">
    5.11  <vbox>
    5.12 @@ -267,7 +267,7 @@
    5.13  			<action type=\"closewindow\">MOUNTED_DEVICE</action>
    5.14  		</button>"
    5.15  while read type fsck args; do
    5.16 -	[ "$TYPE" == "$type" ] || continue
    5.17 +	[ "$TYPE" = "$type" ] || continue
    5.18  	which $fsck > /dev/null || continue
    5.19  UMOUNTED_DEVICE="$UMOUNTED_DEVICE		
    5.20  		<button>
    5.21 @@ -406,12 +406,12 @@
    5.22  		file=$2
    5.23  		size=$3
    5.24  		[ -n "$file" -a -n "$size" ] || exit
    5.25 -		[ "$4" == "true" ] && bs="1K"
    5.26 -		[ "$5" == "true" ] && bs="1M"
    5.27 -		[ "$6" == "true" ] && bs="1024M"
    5.28 -		[ "$8" == "true" ] && dev="/dev/zero count=$size"
    5.29 -		[ "$9" == "true" ] && dev="/dev/urandom count=$size"
    5.30 -		[ "$10" == "true" ] && dev="/dev/zero seek=$size count=0"
    5.31 +		[ "$4" = "true" ] && bs="1K"
    5.32 +		[ "$5" = "true" ] && bs="1M"
    5.33 +		[ "$6" = "true" ] && bs="1024M"
    5.34 +		[ "$8" = "true" ] && dev="/dev/zero count=$size"
    5.35 +		[ "$9" = "true" ] && dev="/dev/urandom count=$size"
    5.36 +		[ "$10" = "true" ] && dev="/dev/zero seek=$size count=0"
    5.37  		if [ "$7" != "true" -a -e "$file" ]; then
    5.38  			export FILE_EXIST="
    5.39  <window title=\"File exist\" icon-name=\"media-flash\">
     6.1 --- a/oldstuff/gtkdialog/netbox	Wed May 09 12:08:12 2018 +0200
     6.2 +++ b/oldstuff/gtkdialog/netbox	Tue Feb 26 08:26:53 2019 +0100
     6.3 @@ -761,7 +761,7 @@
     6.4  	  <action>grep -qs ^\$PPTP_SERVER /etc/ppp/pptp-servers || \
     6.5  echo "\$PPTP_SERVER" >> /etc/ppp/pptp-servers</action>
     6.6  	  <action>PASS=""; [ -n "\$PPTP_PASS" ] && PASS="password \$PASS"; \
     6.7 -ENC=""; [ x\$PPTP_ENC == xtrue ] && ENC="require-mppe-128"; \
     6.8 +ENC=""; [ x\$PPTP_ENC = xtrue ] && ENC="require-mppe-128"; \
     6.9  /usr/sbin/pptp \$PPTP_SERVER file /etc/ppp/options.pptp \$ENC user \$PPTP_USER \$PASS &
    6.10  	  </action>
    6.11          </button>
     7.1 --- a/oldstuff/gtkdialog/sshbox	Wed May 09 12:08:12 2018 +0200
     7.2 +++ b/oldstuff/gtkdialog/sshbox	Tue Feb 26 08:26:53 2019 +0100
     7.3 @@ -178,7 +178,7 @@
     7.4  		
     7.5  		. /tmp/_out_
     7.6  		
     7.7 -		if [ "$EXIT" == "OK" ]; then
     7.8 +		if [ "$EXIT" = "OK" ]; then
     7.9  			save_settings
    7.10  		fi
    7.11  }
    7.12 @@ -322,7 +322,7 @@
    7.13  	[ ! -z $SSH_PORT ] && SSH_OPTION="-p $SSH_PORT"
    7.14  	
    7.15  	# set terminal options
    7.16 -	if [ "$XTERM" ==  "sakura" ]; then
    7.17 +	if [ "$XTERM" =  "sakura" ]; then
    7.18  		OPTION="--title $SSH_USER@$SSH_HOST"
    7.19  	else 
    7.20  		OPTION="-T $SSH_USER@$SSH_HOST"
     8.1 --- a/oldstuff/gtkdialog/subox	Wed May 09 12:08:12 2018 +0200
     8.2 +++ b/oldstuff/gtkdialog/subox	Tue Feb 26 08:26:53 2019 +0100
     8.3 @@ -98,9 +98,9 @@
     8.4  		</checkbox>
     8.5  		<button ok>
     8.6  			<action> echo $PASSWD | su -c "$SU_CMD &" || gtkdialog --center --program=ERROR_DIALOG</action>
     8.7 -			<action>[ $AUTOSAVE == true ] && echo $PASSWD > '$HOME/.config/slitaz/subox.conf'</action>
     8.8 -			<action>[ $AUTOSAVE == true ] && chmod 0600 '$HOME/.config/slitaz/subox.conf'</action>
     8.9 -			<action>[ $AUTOSAVE == false ] && cat /dev/null > '$HOME/.config/slitaz/subox.conf'</action>
    8.10 +			<action>[ $AUTOSAVE = true ] && echo $PASSWD > '$HOME/.config/slitaz/subox.conf'</action>
    8.11 +			<action>[ $AUTOSAVE = true ] && chmod 0600 '$HOME/.config/slitaz/subox.conf'</action>
    8.12 +			<action>[ $AUTOSAVE = false ] && cat /dev/null > '$HOME/.config/slitaz/subox.conf'</action>
    8.13  			<action type="closewindow">SU_DIALOG</action>
    8.14  		</button>
    8.15  		<button cancel></button>
     9.1 --- a/sdt/sdt	Wed May 09 12:08:12 2018 +0200
     9.2 +++ b/sdt/sdt	Tue Feb 26 08:26:53 2019 +0100
     9.3 @@ -63,7 +63,7 @@
     9.4  		echo "Send this data to SliTaz Distro Tracker?"
     9.5  		echo -n "Press 'c' then ENTER to continue or any other key to quit: "
     9.6  		read answer; newline
     9.7 -		[ "$answer" == 'c' ] || exit 0
     9.8 +		[ "$answer" = 'c' ] || exit 0
     9.9  
    9.10  		echo "Sending data to $url"; newline
    9.11  		wget -q --user-agent "SliTaz/SDT" \
    10.1 --- a/tazbox/tazbox	Wed May 09 12:08:12 2018 +0200
    10.2 +++ b/tazbox/tazbox	Tue Feb 26 08:26:53 2019 +0100
    10.3 @@ -730,7 +730,7 @@
    10.4  
    10.5  	# Get filename
    10.6  	[ "$1" ] && file="$PWD/$(basename "$1")"
    10.7 -	[ "${1:0:1}" == "/" ] && file="$1"
    10.8 +	[ "${1:0:1}" = "/" ] && file="$1"
    10.9  	[ -s "$file" ] || file="$(yad --file --width='600' --height='500' --add-preview \
   10.10  		--window-icon $icon --title "$(_ 'Select the video file')" --center \
   10.11  		--file-filter="$(_ 'All video files')|*.mp4 *.m4v *.webm *.ogg *.ogv *.flv *.avi *.3gp" \
   10.12 @@ -845,7 +845,7 @@
   10.13  		[ "$?" -eq 1 ] && exit 0
   10.14  
   10.15  		# Save or erase Autosaved password
   10.16 -		if [ $(echo "$main" | cut -d"|" -f2) == 'TRUE' ]; then
   10.17 +		if [ $(echo "$main" | cut -d"|" -f2) = 'TRUE' ]; then
   10.18  			echo "$main" | cut -d"|" -f1 > $SUBOX_CONF
   10.19  			chmod 0600 $SUBOX_CONF
   10.20  		else
   10.21 @@ -874,7 +874,7 @@
   10.22  				case $XDG_CURRENT_DESKTOP in
   10.23  					LXDE)
   10.24  						[ -n "$_LXSESSION_PID" ] && kill $_LXSESSION_PID
   10.25 -						[ "$DESKTOP_SESSION" == 'compiz' ] && killall compiz
   10.26 +						[ "$DESKTOP_SESSION" = 'compiz' ] && killall compiz
   10.27  						openbox --exit ;;
   10.28  					openbox) openbox --exit ;;
   10.29  					compiz) killall compiz ;;
    11.1 --- a/tinyutils/hwsetup	Wed May 09 12:08:12 2018 +0200
    11.2 +++ b/tinyutils/hwsetup	Tue Feb 26 08:26:53 2019 +0100
    11.3 @@ -139,7 +139,7 @@
    11.4  		# Avoid reinstall
    11.5  		if [ ! -d "$INSTALLED/$pkg" ]; then
    11.6  			_n 'Would you like to install pkg: %s' "$pkg"; confirm
    11.7 -			if [ $? == 0 ]; then
    11.8 +			if [ $? = 0 ]; then
    11.9  				tazpkg get-install "$pkg" --forced
   11.10  				if tazpkg list-files "$pkg" | grep -q "/etc/udev" ; then
   11.11  					UDEV_RULES="yes"
   11.12 @@ -222,11 +222,11 @@
   11.13  
   11.14  
   11.15  hputil() {
   11.16 -	if [ "$HP" == "1" ]; then
   11.17 +	if [ "$HP" = "1" ]; then
   11.18  		install "hplip"
   11.19  		newline
   11.20  		_n 'Do you want to use hp-setup utility'; confirm
   11.21 -		if [ $? == 0 ]; then
   11.22 +		if [ $? = 0 ]; then
   11.23  			hp-setup
   11.24  		fi
   11.25  	fi
   11.26 @@ -237,7 +237,7 @@
   11.27  
   11.28  fix_usb_permissions() {
   11.29  	grp=$1
   11.30 -	if [ "$DETECTED" == "yes" ]; then
   11.31 +	if [ "$DETECTED" = "yes" ]; then
   11.32  		if ls /dev/bus/usb/*$busno/*$deviceno ; then
   11.33  			chmod 666 /dev/bus/usb/*$busno/*$deviceno
   11.34  			chgrp $grp /dev/bus/usb/*$busno/*$deviceno
   11.35 @@ -266,7 +266,7 @@
   11.36  
   11.37  
   11.38  udev() {
   11.39 -	if [ "$UDEV_RULES" == "yes" ]; then
   11.40 +	if [ "$UDEV_RULES" = "yes" ]; then
   11.41  		_ 'New udev rules are added by a package'
   11.42  		udevadm trigger
   11.43  		sleep 2
   11.44 @@ -296,15 +296,15 @@
   11.45  	PIN=$(     grep AT+CPIN=       $CONF | cut -d= -f3 | tr -d '[" ]')
   11.46  	MODEM=$(   grep ^Modem.*/dev.* $CONF | cut -d= -f2 | tr -d '[" ]' | uniq)
   11.47  	APN=$(     grep AT+CGDCONT     $CONF | cut -d, -f3 | tr -d '[" ]')
   11.48 -	[ "x$USERNAME" == "x''" ] && USERNAME=
   11.49 -	[ "x$PASSWORD" == "x''" ] && PASSWORD=
   11.50 +	[ "x$USERNAME" = "x''" ] && USERNAME=
   11.51 +	[ "x$PASSWORD" = "x''" ] && PASSWORD=
   11.52  }
   11.53  
   11.54  
   11.55  set_wvdial_vars() {
   11.56  	# wvdial needs something right the equal sign
   11.57 -	[ x$USERNAME == x ] && USERNAME="''"
   11.58 -	[ x$PASSWORD == x ] && PASSWORD="''"
   11.59 +	[ x$USERNAME = x ] && USERNAME="''"
   11.60 +	[ x$PASSWORD = x ] && PASSWORD="''"
   11.61  	sed 's|^Phone.*|Phone = '$PHONE'|; s|^Username.*|Username = '$USERNAME'|; \
   11.62  	s|^Password.*|Password = '$PASSWORD'|; s|.*AT+CPIN=.*|Init4 = AT+CPIN='$PIN'|; \
   11.63  	s|.*AT+CGDCONT=.*|Init3 = AT+CGDCONT=1,"IP", "'$APN'"|; \
   11.64 @@ -403,10 +403,10 @@
   11.65  			fi
   11.66  
   11.67  			#lpinfo -v
   11.68 -			if [ "$DETECTED" == "yes" ]; then
   11.69 +			if [ "$DETECTED" = "yes" ]; then
   11.70  				newline
   11.71  				_n 'Do you want to start cups'; confirm
   11.72 -				if [ $? == 0 ]; then
   11.73 +				if [ $? = 0 ]; then
   11.74  					newline
   11.75  					/etc/init.d/cupsd start
   11.76  					sleep 2
   11.77 @@ -429,11 +429,11 @@
   11.78  			find_usb_device
   11.79  			fix_usb_permissions "scanner"
   11.80  
   11.81 -			if [ "$DETECTED" == "yes" ]; then
   11.82 +			if [ "$DETECTED" = "yes" ]; then
   11.83  				#hputil
   11.84  				newline
   11.85  				_n 'Do you want to start scanner'; confirm
   11.86 -				if [ $? == 0 ]; then
   11.87 +				if [ $? = 0 ]; then
   11.88  					newline
   11.89  					sane-find-scanner # to verify scanner has been found
   11.90  					scanimage -L # List scanners
   11.91 @@ -462,14 +462,14 @@
   11.92  				if [ -d $INSTALLED/mplayer-svn ]; then
   11.93  					newline
   11.94  					_n 'Would you like to test webcam'; confirm
   11.95 -					if [ $? == 0 ]; then
   11.96 +					if [ $? = 0 ]; then
   11.97  						newline
   11.98  						mplayer tv:// -tv driver=v4l2:width=320:height=240:device=/dev/video0 -vo x11 &
   11.99  					fi
  11.100  				else
  11.101  					newline
  11.102  					_n 'Would you like to test webcam by installing mplayer-svn'; confirm
  11.103 -					if [ $? == 0 ]; then
  11.104 +					if [ $? = 0 ]; then
  11.105  						newline
  11.106  						install mplayer-svn
  11.107  						mplayer tv:// -tv driver=v4l2:width=320:height=240:device=/dev/video0 -vo x11 &
  11.108 @@ -489,15 +489,15 @@
  11.109  			find_usb_device
  11.110  			fix_usb_permissions "camera"
  11.111  
  11.112 -			if [ "$DETECTED" == "yes" ]; then
  11.113 +			if [ "$DETECTED" = "yes" ]; then
  11.114  				newline
  11.115  				_n 'Do you want to check if gphoto2 can talk to your camera'; confirm
  11.116 -				if [ $? == 0 ]; then
  11.117 +				if [ $? = 0 ]; then
  11.118  					newline
  11.119  					# Show if the camera is detected
  11.120  					gphoto2 --auto-detect
  11.121  					_n 'Do you want to test importing photos'; confirm
  11.122 -					if [ $? == 0 ]; then
  11.123 +					if [ $? = 0 ]; then
  11.124  						mkdir -p ~/Images/Photos
  11.125  						cd ~/Images/Photos
  11.126  						gphoto2 --get-all-files
  11.127 @@ -520,7 +520,7 @@
  11.128  			udev
  11.129  
  11.130  			_n 'Do you want to see if the bluetooth is working'; confirm
  11.131 -			if [ $? == 0 ]; then
  11.132 +			if [ $? = 0 ]; then
  11.133  				newline
  11.134  
  11.135  				# sanity check: btusb is not loaded automagically for unknown reasons
  11.136 @@ -586,7 +586,7 @@
  11.137  				_ 'Detected Modem at:'
  11.138  				ls /dev/ttyUSB* /dev/ttyACM* 2> /dev/null
  11.139  				_n 'Do you want to configure wvdial'; confirm
  11.140 -				if [ $? == 0 ]; then
  11.141 +				if [ $? = 0 ]; then
  11.142  					wvdialbox
  11.143  				else
  11.144  					#nameserver `tail -30 /var/log/messages| grep DNS| sed 's/*\([.0-9]*\)$/\1/'` >/etc/resolv.conf
  11.145 @@ -605,7 +605,7 @@
  11.146  			_ 'Setting IPTABLES_RULES to yes in /etc/slitaz/firewall.conf'
  11.147  			sed -i 's/^IPTABLES_RULES="no"/IPTABLES_RULES="yes"/' /etc/slitaz/firewall.conf
  11.148  			# default is "start"
  11.149 -			if [ "$STOP" == "yes" ] ; then
  11.150 +			if [ "$STOP" = "yes" ] ; then
  11.151  				/etc/init.d/firewall stop
  11.152  			else
  11.153  				/etc/init.d/firewall start
  11.154 @@ -625,7 +625,7 @@
  11.155  			xorg55=/etc/X11/xorg.conf.d/55-DeviceTweaks.conf
  11.156  			xorg60=/etc/X11/xorg.conf.d/60-Device.conf
  11.157  			xorg55short=55-DeviceTweaks.conf
  11.158 -			if [ "$NON_FREE" == "yes" ] ; then
  11.159 +			if [ "$NON_FREE" = "yes" ] ; then
  11.160  				if [ -d $INSTALLED/xorg-xf86-video-nv ]; then
  11.161  					rm $xorg55
  11.162  					tazpkg remove xorg-xf86-video-nv
  11.163 @@ -633,7 +633,7 @@
  11.164  				load_modules
  11.165  				#xorg
  11.166  				_n 'Do you want to configure X using non-free nvidia driver'; confirm
  11.167 -				if [ $? == 0 ]; then
  11.168 +				if [ $? = 0 ]; then
  11.169  					newline
  11.170  					_ 'Your previous config is in %s' "$xorg60"
  11.171  					_ 'If nvidia fails, you can remove %s to restore previous config.' "$xorg55"
  11.172 @@ -672,7 +672,7 @@
  11.173  				load_modules
  11.174  				#xorg
  11.175  				_n 'Do you want to configure X using free nvidia driver'; confirm
  11.176 -				if [ $? == 0 ]; then
  11.177 +				if [ $? = 0 ]; then
  11.178  					newline; separator
  11.179  					_ 'Your previous config is in %s' "$xorg60"
  11.180  					_ 'If nvidia fails, you can remove %s to restore previous config.' "$xorg55"
  11.181 @@ -696,7 +696,7 @@
  11.182  			xorg60=/etc/X11/xorg.conf.d/60-Device.conf
  11.183  			xorg55short=55-DeviceTweaks.conf
  11.184  			untested
  11.185 -			if [ "$NON_FREE" == "yes" ] ; then
  11.186 +			if [ "$NON_FREE" = "yes" ] ; then
  11.187  				if [ -d $INSTALLED/xorg-xf86-video-ati ]; then
  11.188  					rm $xorg55
  11.189  					tazpkg remove xorg-xf86-video-ati
  11.190 @@ -704,7 +704,7 @@
  11.191  				load_modules
  11.192  				#xorg
  11.193  				_n 'Do you want to configure X using non-free catalyst ATI (radeon) driver'; confirm
  11.194 -				if [ $? == 0 ]; then
  11.195 +				if [ $? = 0 ]; then
  11.196  					newline
  11.197  					_ 'Your previous config is in %s' "$xorg60"
  11.198  					_ 'If ati fails, you can remove %s to restore previous config.' "$xorg55"
  11.199 @@ -737,7 +737,7 @@
  11.200  				load_modules
  11.201  				#xorg
  11.202  				_n 'Do you want to configure X using free ATI (radeon) driver'; confirm
  11.203 -				if [ $? == 0 ]; then
  11.204 +				if [ $? = 0 ]; then
  11.205  					newline; separator
  11.206  					_ 'Your previous config is in %s' "$xorg60"
  11.207  					_ 'If ATI fails, you can remove %s to restore previous config.' "$xorg55"
  11.208 @@ -777,21 +777,21 @@
  11.209  		AUTO_INSTALL_SUGGESTED="$suggested"
  11.210  		CONFIRM_SUGGESTED="$confirm"
  11.211  		for i in "$@"; do
  11.212 -#			if [ "$i" == "--non-free" ] ;  then NON_FREE="yes"; 				fi
  11.213 -#			if [ "$i" == "--suggested" ] ; then AUTO_INSTALL_SUGGESTED="yes"; 	fi
  11.214 -#			if [ "$i" == "--confirm" ] ;   then CONFIRM_SUGGESTED="yes"; 		fi
  11.215 -			if [ "$i" == "stop" ] ;        then STOP="yes"; 					fi
  11.216 +#			if [ "$i" = "--non-free" ] ;  then NON_FREE="yes"; 				fi
  11.217 +#			if [ "$i" = "--suggested" ] ; then AUTO_INSTALL_SUGGESTED="yes"; 	fi
  11.218 +#			if [ "$i" = "--confirm" ] ;   then CONFIRM_SUGGESTED="yes"; 		fi
  11.219 +			if [ "$i" = "stop" ] ;        then STOP="yes"; 					fi
  11.220  		done
  11.221  
  11.222  		device
  11.223  		#untested
  11.224 -		if [ -n "$NON_FREE_DEPENDS" -a "$NON_FREE" == "yes" ]; then
  11.225 +		if [ -n "$NON_FREE_DEPENDS" -a "$NON_FREE" = "yes" ]; then
  11.226  			DEPENDS="$NON_FREE_DEPENDS"
  11.227  		fi
  11.228  
  11.229 -		if [ "$AUTO_INSTALL_SUGGESTED" == "yes" ]; then
  11.230 +		if [ "$AUTO_INSTALL_SUGGESTED" = "yes" ]; then
  11.231  			anser="all"
  11.232 -		elif [ "$CONFIRM_SUGGESTED" == "yes" ]; then
  11.233 +		elif [ "$CONFIRM_SUGGESTED" = "yes" ]; then
  11.234  			newline; separator
  11.235  			_ 'The following optional packages can be installed:'
  11.236  			newline
    12.1 --- a/tinyutils/slitaz-config	Wed May 09 12:08:12 2018 +0200
    12.2 +++ b/tinyutils/slitaz-config	Tue Feb 26 08:26:53 2019 +0100
    12.3 @@ -182,7 +182,7 @@
    12.4  	esac
    12.5  
    12.6  	# Connect to hidden network
    12.7 -	if [ "$essid" == "$(_ 'hidden.network')" ]; then
    12.8 +	if [ "$essid" = "$(_ 'hidden.network')" ]; then
    12.9  		dialog --title "{ $(_ 'Wi-Fi ESSID') }" \
   12.10  			--inputbox "\n$(_ 'Enter Wi-Fi access point ESSID (name)')" \
   12.11  			12 $width 2>$tmp
   12.12 @@ -199,7 +199,7 @@
   12.13  		key=$(iwlist $WIFI_INTERFACE scan last | grep -E 'Cell |Encryption|ESSID' | \
   12.14  			grep -C1 "$essid" | sed -n 's|.*key:\(.*\)|\1|p')
   12.15  
   12.16 -		if [ "$key" == "on" ]; then
   12.17 +		if [ "$key" = "on" ]; then
   12.18  			dialog --title "{ $(_ 'Wi-Fi Password') }" --colors \
   12.19  				--inputbox "\n$(_ 'Enter Wi-Fi key (password) for \Zb\Z4%s' "$essid")" \
   12.20  				12 $width 2>$tmp
    13.1 --- a/tinyutils/tazhw	Wed May 09 12:08:12 2018 +0200
    13.2 +++ b/tinyutils/tazhw	Tue Feb 26 08:26:53 2019 +0100
    13.3 @@ -44,7 +44,7 @@
    13.4  			# only install firmware if specified from cmdline.
    13.5  			if ifconfig | grep -q "inet addr"; then
    13.6  				# Ensure module is not loaded and get files.
    13.7 -				if [ "$firmware" == "get" ]; then
    13.8 +				if [ "$firmware" = "get" ]; then
    13.9  					rmmod $mod 2>/dev/null
   13.10  					get-$mod-firmware
   13.11  				else
   13.12 @@ -136,7 +136,7 @@
   13.13  
   13.14  # Get firmware used by check_firmware()
   13.15  
   13.16 -if [ "$2" == "--get-firmware" ]; then
   13.17 +if [ "$2" = "--get-firmware" ]; then
   13.18  	firmware='get'
   13.19  fi
   13.20  
    14.1 --- a/tinyutils/tazlocale	Wed May 09 12:08:12 2018 +0200
    14.2 +++ b/tinyutils/tazlocale	Tue Feb 26 08:26:53 2019 +0100
    14.3 @@ -57,7 +57,7 @@
    14.4  link_language_files() {
    14.5  	. /etc/locale.conf
    14.6  	LANGUAGE=${LANG%_*}
    14.7 -	[ "$LANG" == 'POSIX' ] && LANGUAGE='en'
    14.8 +	[ "$LANG" = 'POSIX' ] && LANGUAGE='en'
    14.9  
   14.10  	# Openbox menu
   14.11  	make_i18n_link /etc/xdg/openbox/menu.%%.xml
   14.12 @@ -151,7 +151,7 @@
   14.13  	esac
   14.14  
   14.15  	# Default: POSIX => English
   14.16 -	[ "$locale" == 'en' ] && locale='en_US'
   14.17 +	[ "$locale" = 'en' ] && locale='en_US'
   14.18  	[ -s /etc/locale.conf ] && RECONFIG='yes'
   14.19  
   14.20  	# If it's a reconfiguration give an info message.
    15.1 --- a/tinyutils/tazx	Wed May 09 12:08:12 2018 +0200
    15.2 +++ b/tinyutils/tazx	Tue Feb 26 08:26:53 2019 +0100
    15.3 @@ -280,7 +280,7 @@
    15.4  	esac
    15.5  
    15.6  	if [ "$appname" != " " ]; then
    15.7 -		if [ "$appname" == 'show_ALL' ]; then
    15.8 +		if [ "$appname" = 'show_ALL' ]; then
    15.9  			app_name_dialog full-list
   15.10  			inst_pkg $appname
   15.11  		fi
   15.12 @@ -349,7 +349,7 @@
   15.13  				t='<--' ;;
   15.14  		esac
   15.15  
   15.16 -		if [ "$2" == 'full-list' ] || [ "$t" == '<--' ]; then
   15.17 +		if [ "$2" = 'full-list' ] || [ "$t" = '<--' ]; then
   15.18  			echo "$i"
   15.19  
   15.20  			if [ "$3" != 'yad' ]; then
   15.21 @@ -358,7 +358,7 @@
   15.22  		fi
   15.23  	done
   15.24  
   15.25 -	if [ "$2" == 'only-installed' ] && [ "$3" != 'yad' ]; then
   15.26 +	if [ "$2" = 'only-installed' ] && [ "$3" != 'yad' ]; then
   15.27  		echo 'show_ALL' "+$(_n 'Install')"
   15.28  	fi
   15.29  }
   15.30 @@ -401,7 +401,7 @@
   15.31  			inst_pkg slim
   15.32  			inst_pkg dbus
   15.33  
   15.34 -			if [ $LM == "$(_ 'OFF')" ]; then
   15.35 +			if [ $LM = "$(_ 'OFF')" ]; then
   15.36  				LM='slim'
   15.37  			else
   15.38  				LM=''